Bug 814985 - [abrt] kernel: [276545.483747] general protection fault: 0000 [#1] SMP
[abrt] kernel: [276545.483747] general protection fault: 0000 [#1] SMP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
abrt_hash:510144b6670b183969844642f45...
:
: 819241 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 17:18 EDT by Pavel Zhukov
Modified: 2012-05-30 04:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 04:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (5.41 KB, text/plain)
2012-04-21 17:18 EDT, Pavel Zhukov
no flags Details

  None (edit)
Description Pavel Zhukov 2012-04-21 17:18:01 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        ro root=/dev/mapper/vg_fedora-fedora17 rd_LVM_LV=vg_fedora/fedora17 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
kernel:         3.3.0-0.rc5.git3.1.fc17.x86_64
reason:         [276545.483747] general protection fault: 0000 [#1] SMP 
time:           Sun 22 Apr 2012 01:16:36 AM MSK

smolt_data:     Text file, 5542 bytes

backtrace:
:[276545.483747] general protection fault: 0000 [#1] SMP 
:[276545.483771] CPU 3 
:[276545.483778] Modules linked in: ses enclosure usb_storage uas bnep bluetooth rfkill fuse lockd sunrpc ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hwmon_vid coretemp raid1 snd_hda_codec_hdmi nouveau snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm mxm_wmi wmi video snd_page_alloc ttm ata_generic pata_acpi snd_timer vhost_net tun macvtap drm_kms_helper drm r8169 i2c_i801 serio_raw snd soundcore macvlan mii i2c_core pata_jmicron asus_atk0110 i7core_edac edac_core iTCO_wdt iTCO_vendor_support kvm_intel microcode kvm uinput [last unloaded: scsi_wait_scan]
:[276545.484204] 
:[276545.484217] Pid: 28849, comm: md0_resync Not tainted 3.3.0-0.rc5.git3.1.fc17.x86_64 #1 System manufacturer System Product Name/P7H55-M PRO
:[276545.484270] RIP: 0010:[<ffffffffa02541c8>]  [<ffffffffa02541c8>] sync_request+0x678/0xb00 [raid1]
:[276545.484303] RSP: 0018:ffff880051609bd0  EFLAGS: 00010202
:[276545.484317] RAX: 0000000000000002 RBX: ffff88020f2b5550 RCX: 0000000000000002
:[276545.484335] RDX: 000000000000424d RSI: 0000000000000001 RDI: 6b6b6b6b6b6b6b6b
:[276545.484353] RBP: ffff880051609c80 R08: 0000000000000001 R09: 0000000000000001
:[276545.484371] R10: ffff8801695f0000 R11: 0000000000000000 R12: 0000000000000002
:[276545.484389] R13: ffff8801c24d0c78 R14: 0000000000000080 R15: ffff88016e8509d8
:[276545.484408] FS:  0000000000000000(0000) GS:ffff880215c00000(0000) knlGS:0000000000000000
:[276545.484428] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[276545.484443] CR2: 00000000c46ee3b4 CR3: 0000000001c05000 CR4: 00000000000026e0
:[276545.484460] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[276545.484478] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[276545.484496] Process md0_resync (pid: 28849, threadinfo ffff880051608000, task ffff8801695f0000)
:[276545.484516] Stack:
:[276545.484523]  ffffffffa0253cb0 0000000000000246 ffff8801695f0000 ffff880051609d0c
:[276545.484550]  ffffffff00000080 0000000200000000 0000000000000000 000000000b910800
:[276545.484576]  0000000000000080 ffff88020e66ca40 000000000b910800 0000100000000000
:[276545.484602] Call Trace:
:[276545.484617]  [<ffffffffa0253cb0>] ? sync_request+0x160/0xb00 [raid1]
:[276545.484639]  [<ffffffff814f04c6>] md_do_sync+0x816/0xfd0
:[276545.484664]  [<ffffffff81021083>] ? native_sched_clock+0x13/0x80
:[276545.484685]  [<ffffffff8108ac20>] ? wake_up_bit+0x40/0x40
:[276545.484702]  [<ffffffff814e968e>] md_thread+0x10e/0x140
:[276545.484719]  [<ffffffff814e9580>] ? md_seq_open+0x40/0x40
:[276545.484735]  [<ffffffff8108a3f7>] kthread+0xb7/0xc0
:[276545.484753]  [<ffffffff816a7d34>] kernel_thread_helper+0x4/0x10
:[276545.484771]  [<ffffffff8169dbd0>] ? _raw_spin_unlock_irq+0x30/0x50
:[276545.484789]  [<ffffffff8169e0f4>] ? retint_restore_args+0x13/0x13
:[276545.484807]  [<ffffffff8108a340>] ? kthread_worker_fn+0x1a0/0x1a0
:[276545.484825]  [<ffffffff816a7d30>] ? gs_change+0x13/0x13
:[276545.484839] Code: 0f 84 2d 03 00 00 8b 8d 7c ff ff ff 41 89 4d 00 8b 4b 10 8d 04 09 85 c0 7e 2b 45 31 e4 66 0f 1f 44 00 00 49 63 c4 49 8b 7c c5 58 <48> 81 7f 50 30 29 25 a0 0f 84 5a 02 00 00 8d 04 09 41 83 c4 01 
:[276545.485039] RIP  [<ffffffffa02541c8>] sync_request+0x678/0xb00 [raid1]
:[276545.485074]  RSP <ffff880051609bd0>
:[276545.494569] ---[ end trace 83148f385b864988 ]---
Comment 1 Pavel Zhukov 2012-04-21 17:18:06 EDT
Created attachment 579224 [details]
File: smolt_data
Comment 2 Pavel Zhukov 2012-05-05 17:14:15 EDT
*** Bug 819241 has been marked as a duplicate of this bug. ***
Comment 3 Pavel Zhukov 2012-05-05 17:14:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        ro root=/dev/mapper/vg_fedora-fedora17
rd_LVM_LV=vg_fedora/fedora17 rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8
SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
kernel:         3.3.0-0.rc5.git3.1.fc17.x86_64
reason:         [281351.207988] general protection fault: 0000 [#1] SMP 
time:           Sun 06 May 2012 01:11:38 AM MSK

smolt_data:     Text file, 5448 bytes

backtrace:
:[281351.207988] general protection fault: 0000 [#1] SMP 
:[281351.208014] CPU 0 
:[281351.208021] Modules linked in: bnep bluetooth rfkill fuse lockd sunrpc
ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat
nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM
iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i
cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa
ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hwmon_vid
coretemp raid1 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel
snd_hda_codec snd_hwdep snd_pcm nouveau ata_generic pata_acpi snd_page_alloc
mxm_wmi wmi snd_timer video ttm drm_kms_helper drm snd r8169 i2c_i801 serio_raw
soundcore mii i2c_core pata_jmicron microcode asus_atk0110 i7core_edac
edac_core iTCO_wdt iTCO_vendor_support vhost_net tun macvtap macvlan kvm_intel
kvm uinput [last unloaded: scsi_wait_scan]
:[281351.208401] 
:[281351.208410] Pid: 29521, comm: md0_resync Not tainted
3.3.0-0.rc5.git3.1.fc17.x86_64 #1 System manufacturer System Product
Name/P7H55-M PRO
:[281351.208445] RIP: 0010:[<ffffffffa01c81c8>]  [<ffffffffa01c81c8>]
sync_request+0x678/0xb00 [raid1]
:[281351.208476] RSP: 0018:ffff8801dee21bd0  EFLAGS: 00010202
:[281351.208491] RAX: 0000000000000002 RBX: ffff880209bf13b0 RCX:
0000000000000002
:[281351.208508] RDX: 0000000000001c11 RSI: 0000000000000001 RDI:
6b6b6b6b6b6b6b6b
:[281351.208526] RBP: ffff8801dee21c80 R08: 0000000000000001 R09:
0000000000000001
:[281351.208544] R10: ffff880152b52690 R11: 0000000000000000 R12:
0000000000000002
:[281351.208561] R13: ffff88016fb25e48 R14: 0000000000000080 R15:
ffff8801d4505f28
:[281351.208580] FS:  0000000000000000(0000) GS:ffff880215600000(0000)
knlGS:0000000000000000
:[281351.208601] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[281351.208616] CR2: 00000000d2f69488 CR3: 0000000001c05000 CR4:
00000000000026e0
:[281351.208634] DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
:[281351.208652] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
:[281351.208671] Process md0_resync (pid: 29521, threadinfo ffff8801dee20000,
task ffff880152b52690)
:[281351.208691] Stack:
:[281351.208698]  ffffffffa01c7cb0 0000000000000246 ffff880152b52690
ffff8801dee21d0c
:[281351.208726]  ffffffff00000080 0000000200000000 0000000000000000
000000000623ce80
:[281351.208756]  0000000000000080 ffff88020e0fae68 000000000623ce80
0000100000000000
:[281351.208783] Call Trace:
:[281351.208798]  [<ffffffffa01c7cb0>] ? sync_request+0x160/0xb00 [raid1]
:[281351.208820]  [<ffffffff814f04c6>] md_do_sync+0x816/0xfd0
:[281351.208838]  [<ffffffff81021083>] ? native_sched_clock+0x13/0x80
:[281351.208858]  [<ffffffff8108ac20>] ? wake_up_bit+0x40/0x40
:[281351.208876]  [<ffffffff814e968e>] md_thread+0x10e/0x140
:[281351.208892]  [<ffffffff814e9580>] ? md_seq_open+0x40/0x40
:[281351.208909]  [<ffffffff8108a3f7>] kthread+0xb7/0xc0
:[281351.208927]  [<ffffffff816a7d34>] kernel_thread_helper+0x4/0x10
:[281351.208945]  [<ffffffff8169dbd0>] ? _raw_spin_unlock_irq+0x30/0x50
:[281351.208962]  [<ffffffff8169e0f4>] ? retint_restore_args+0x13/0x13
:[281351.208980]  [<ffffffff8108a340>] ? kthread_worker_fn+0x1a0/0x1a0
:[281351.208998]  [<ffffffff816a7d30>] ? gs_change+0x13/0x13
:[281351.209012] Code: 0f 84 2d 03 00 00 8b 8d 7c ff ff ff 41 89 4d 00 8b 4b 10
8d 04 09 85 c0 7e 2b 45 31 e4 66 0f 1f 44 00 00 49 63 c4 49 8b 7c c5 58 <48> 81
7f 50 30 69 1c a0 0f 84 5a 02 00 00 8d 04 09 41 83 c4 01 
:[281351.209195] RIP  [<ffffffffa01c81c8>] sync_request+0x678/0xb00 [raid1]
:[281351.209217]  RSP <ffff8801dee21bd0>
:[281351.221744] ---[ end trace db3904158f96af73 ]---
Comment 4 Jes Sorensen 2012-05-08 08:07:15 EDT
You are running a fairly old F17 kernel - please upgrade and report back
if the problem still shows up.

kernel-3.3.4-3.fc17.x86_64.rpm
Comment 5 Jes Sorensen 2012-05-08 08:07:53 EDT
In addition, please provide /proc/mdstat output
Comment 6 Pavel Zhukov 2012-05-09 05:29:55 EDT
$ cat /proc/mdstat 
Personalities : [raid1] 
md0 : active raid1 sda4[0] sdb2[1]
      488279488 blocks [2/2] [UU]
      
unused devices: <none>

I've upgraded and testing now
Comment 7 Jes Sorensen 2012-05-30 02:57:43 EDT
Pavel,

Did upgrading the kernel get rid of the problem?

Thanks,
Jes
Comment 8 Pavel Zhukov 2012-05-30 04:07:29 EDT
I had not get any abrts in 3.3.4-4.fc17.x86_64
Thank you.
Comment 9 Jes Sorensen 2012-05-30 04:08:33 EDT
Excellent!

If you see it again, don't hesitate to open a new bugzilla.

Cheers,
Jes

Note You need to log in before you can comment on or make changes to this bug.